<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}

	$date_filter_this	= array(
		'ALL' => 'ALL',
		'TO' => 'TODAY',
		'TW' => 'THIS_WEEK',
		'TS' => 'THIS_SEMI_MONTHLY',
		'TM' => 'THIS_MONTH'
	);
	$date_filter_last	= array(
		'YE' => 'YESTERDAY',
		'LW' => 'LAST_WEEK',
		'LS' => 'LAST_SEMI_MONTHLY',
		'LM' => 'LAST_MONTH'
	);
?>
<div id="tasks-container" class="container np fw fh">
</div>
<?php
	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}
	$jslang	= array();
?>
<script type="text/javascript">
$(document).ready(function(){
	Otime.Tasks	= new Otime.Tasks.constructor();
	Otime.Define(Otime.Tasks, "isTSR", Boolean(<?php echo ($this->ot_app->get('time_stamp_req') ? 1 : 0); ?>));
	Otime.Tasks.language	= <?php echo json_encode($jslang); ?>;
	Otime.Tasks.filter_labels	= <?php echo json_encode(array_merge($date_filter_this, $date_filter_last)); ?>;
	Otime.Tasks.dft	= 'ALL'; // Date filter type
	Otime.Tasks.isToDo	= true;
	Otime.Tasks.PID	= <?php echo empty($project_id) ? 0 : $project_id; ?>;
	Otime.Tasks.loadTemplates(function(){
		window.Otime.load("Tasks");
		if (!$("#gantt-tooltip").get(0)) $("body").append('<div class="tooltip" id="gantt-tooltip"></div>');
	});
});
</script>