<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div class="sub-title"><?php echo lang('WEEK_STARTS_ON'); ?></div>	
<select class="col-lg-12 np wid" data-bind="value:start_week_on, chosen:true">
	<option value="SU"><?php echo lang('SUNDAY'); ?></option>
	<option value="MO"><?php echo lang('MONDAY'); ?></option>
	<option value="TU"><?php echo lang('TUESDAY'); ?></option>
	<option value="WE"><?php echo lang('WEDNESDAY'); ?></option>
	<option value="TH"><?php echo lang('THURSDAY'); ?></option>
	<option value="FR"><?php echo lang('FRIDAY'); ?></option>
	<option value="SA"><?php echo lang('SATURDAY'); ?></option>
</select>
<div class="sub-title"><?php echo lang('NON_WORKING_DAYS'); ?></div>		
<select class="col-lg-12 np wid" data-bind="selectedOptions:non_working_days, chosen:true" multiple="multiple">
	<option value="SU"><?php echo lang('SUNDAY'); ?></option>
	<option value="MO"><?php echo lang('MONDAY'); ?></option>
	<option value="TU"><?php echo lang('TUESDAY'); ?></option>
	<option value="WE"><?php echo lang('WEDNESDAY'); ?></option>
	<option value="TH"><?php echo lang('THURSDAY'); ?></option>
	<option value="FR"><?php echo lang('FRIDAY'); ?></option>
	<option value="SA"><?php echo lang('SATURDAY'); ?></option>
</select>	
<div class="sep">&nbsp;</div>
<div class="sub-title"><?php echo lang('HOLIDAYS'); ?></div>
<div class="box-condensed">
	<div class="table-responsive fixed">
		<table cellpadding="0" cellspacing="0" class="table nonworking_table">
			<tbody class="editable" data-bind="foreach:daysoff">
				<tr class="box-condensed">
					<td class="row-condensed">
						<div class="fw dib cp pr">
							<span class="pull-left nm" data-bind="date:{date:dayoff_date, format:_info.dateDisp}"></span>
							<input type="text" class="cp fw fh dib dtpicker" placeholder="<?php echo lang('DATE'); ?>" data-bind="value:dayoff_date, datepicker:{autoclose:true}" />
						</div>
					</td>
					<td class="row-condensed">
						<input type="text" class="col-md-12" placeholder="Name" onfocus="this.select()" data-bind="value:description, valueUpdate: 'afterkeydown'" />
					</td>
					<td class="row-condensed text-center">
						<div class="checkbox np nm dib vam">
							<label class="">
								<input type="checkbox" data-bind="checked:repeat" style="margin-right:3px;margin-top:2px;"/><span><?php echo lang('EVERY_YEAR'); ?></span>
							</label>
						</div>
					</td>
					<td class="row-condensed controls text-center nbr" style="width:10%;">					
						<a href="javascript;" class="close" data-bind="click:$parent.remove"><i class="icon icon-trash"></i></a>
					</td>
				</tr>
			</tbody>
		</table>	
	</div>
	<span class="checkbox">
		<label><input class="" type="checkbox" data-bind="checked:skip_daysoff" /><?php echo lang('SKIP_NON_WORK_DAYS'); ?></label>
	</span>
</div>