<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div id="companysetting" class="box col-md-4 col-sm-4 nm" data-bind="css:{edit_box:_info.is_edit_mode}">
	<div class="panel panel-primary nb">
		<div class="panel-heading dib fw" style="padding:5px 15px;">
			<h4 class="dib vam" style="margin-top:5px;"><?php echo lang('TITLE_COMPANY'); ?></h4>
			<div class="pull-right" style="display:none" data-bind="visible:_info.is_edit_mode">
				<div class="btn-group">
					<button name="save" data-bind="click:save" class="btn btn-success btn-sm">
						<span class="icon-save icon-white"></span>&nbsp;<?php echo lang('SAVE'); ?>
					</button>
					<button name="cancel" data-bind="click:cancel" class="btn btn-primary btn-sm">
						<span class="icon-remove-sign icon-white"></span>
					</button>
				</div>
			</div>
			<div class="pull-right editbox" data-bind="hidden:_info.is_edit_mode">
				<button name="edit" class="btn btn-default btn-sm" data-bind="click:setEdit">
					<span class="icon-pencil"></span>&nbsp;<?php echo lang('EDIT'); ?>
				</button>
			</div>
			<div class="sep">&nbsp;</div>
		</div>
	</div>
	<div id="display" class="content" data-bind="hidden:_info.is_edit_mode, event:{dblClick:setEdit}">
		<div class="dib fw text-center">
			<div data-bind="css:{is_edit_mode:_info.is_edit_mode}" class="img-thumbnail ">
				<img data-bind="attr:{src:_info.image_path, title:company_name}"  rel="tooltip"  height="70"/>
				<img data-bind="attr:{src:_info.oldImage}"  style="display:none;"/>
			</div>
		</div>
		<div class="sep"></div>
		<div class="h4 dib fw" data-bind="text:company_name"></div>				
		<div class="sep"></div>	
		<div class="dib fw ">
			<div class="img-thumbnail">
				<img class="pull-left np" data-bind="visible:admin_user_name, attr:{title:admin_user_name}, img:(admin_user_image()!='' ? Otime.UMIP + admin_user_image() : Otime.baseUrl+ '/files/photo/no-User.png')" src="" style="height:50px; width:50px;font-size:35px;"/>
			</div>
			<div class="pull-right col-md-9 cutter-top npl" data-bind="text:admin_user_name"></div>
		</div>				
		
	</div>
	<div id="company-edit" class="row nm" data-bind="visible:_info.is_edit_mode"></div>
</div>
