<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div id="tasktype-setting" class="col-md-4 col-sm-4 box nm" data-bind="css:{edit_box:_info.is_edit_mode}">
	<div class="panel panel-primary nb">
		<div class="panel-heading dib fw" style="padding:5px 15px;">
			<h4 class="dib vam" style="margin-top:5px;"><?php echo lang('TITLE_TASK_TYPES'); ?></h4>
			<div class="pull-right" style="display:none" data-bind="visible:_info.is_edit_mode">
				<div class="btn-group">
					<button name="save" data-bind="click:save" class="btn btn-success btn-sm">
						<span class="icon-save icon-white"></span>&nbsp;<?php echo lang('SAVE'); ?>
					</button>
					<button name="cancel" data-bind="click:cancel" class="btn btn-primary btn-sm">
						<span class="icon-remove-sign icon-white"></span>
					</button>
				</div>
			</div>
			<div class="pull-right editbox" data-bind="hidden:_info.is_edit_mode">
				<button name="edit" class="btn btn-default btn-sm" data-bind="click:setEdit">
					<span class="icon-pencil"></span>&nbsp;<?php echo lang('EDIT'); ?>
				</button>
			</div>
			<div class="sep">&nbsp;</div>
		</div>
	</div>
	<div id="display" class="content" data-bind="hidden:_info.is_edit_mode,event:{dblClick:setEdit}">
		<div class="sub-title"><?php echo lang('MANAGE_TASK_TYPES'); ?></div>
		<hr class="list-group-item-heading">
		<div class="fixed" data-bind="sortable:{data:listing, afterMove:sortData}">
			<div class="gridData cm col-md-12 np">
				<span><strong data-bind="text:name"></strong></span>
				<!-- ko if:is_common --><span class="small">&nbsp; <?php echo lang('DEFAULT_TYPE'); ?></span><!-- /ko -->
				<span class="pull-right badge small" data-bind="html:Otime.Entity.currency_html()+' '+hourly_rate()+' /hr', visible:hourly_rate()>0" ></span>
			</div>
		</div>
	</div>
	<div id="tasktype-edit" data-bind="visible:_info.is_edit_mode"></div>
</div>
