<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}
?>
<div id="report-container">
	<div class="row">
		<span class="pull-left title"><?php echo lang('REPORT'); ?></span>
		<ul class="pull-right list-unstyled btns">
			<li class="rounded" data-bind="click:swap_view">
				<!-- ko if:is_day_view()==true -->
				<span class="week-icon"></span>
				<!-- /ko -->
			</li>
		</ul>
	</div>
	<div class="clearfix"></div>
	<div id="body-container" class="out-container no-right-cnt">
		<div class="out-container no-right-cnt masonry opened" id="list-container" style="position: relative; height: 100px;">
			<div>
			   <select><option value="">All Clients</option></select>
			   <select><option value="">All projects</option></select>
			   <select><option value="">All Task Type</option></select>
			   <select><option value="">All Users</option></select>
			</div>
			<div><h5>Group By</h5></div>
			<div class="fixwidth row">
               <span><img src="<?php echo base_url() . 'assets/img/r_clients.png'; ?>" /></span>
               <span><img src="<?php echo base_url() . 'assets/img/r_project.png'; ?>" /></span>
               <span><img src="<?php echo base_url() . 'assets/img/r_task_type.png'; ?>" /></span>
               <span><img src="<?php echo base_url() . 'assets/img/r_users.png'; ?>" /></span>
               <span><img src="<?php echo base_url() . 'assets/img/r_calendar.png'; ?>" /></span>
			</div>
			<div class="clearfix"></div>
			<div class="radiobtn">
				<label class="radio">
				<input type="radio" name="optionsRadios" id="optionsRadios1" value="option1">
				Summary
				</label>
				<label class="radio">
				<input type="radio" name="optionsRadios" id="optionsRadios2" value="option2" checked>
				Details
				</label>
			</div>
			<div class="chkboxline">
				<div><h5>Columns</h5></div>
				<div>
					<label class="checkbox-inline">
					<input type="checkbox" id="inlineCheckbox1" value="option1" checked> Period
					</label>
					<label class="checkbox-inline">
					<input type="checkbox" id="inlineCheckbox2" value="option2" checked> Hours
					</label>
					<label class="checkbox-inline">
					<input type="checkbox" id="inlineCheckbox3" value="option3" checked> Billable Hours
					</label>
					<label class="checkbox-inline">
					<input type="checkbox" id="inlineCheckbox4" value="option4"> Non-Billable Hours
					</label>
					<label class="checkbox-inline">
					<input type="checkbox" id="inlineCheckbox5" value="option5" checked> Billable Amount
					</label>
					<label class="checkbox-inline">
					<input type="checkbox" id="inlineCheckbox6" value="option6"> Invoiced Hours
					</label>
					<label class="checkbox-inline">
					<input type="checkbox" id="inlineCheckbox7" value="option7" checked> Un-invoiced Hours
					</label>
				</div>
				<div style="text-align:center; margin-top:10px;"><span class="label bg-green2 title">Apply</span></div>
			</div>
		</div>
		<div style="right: 0px; display: block;" class="page_slide">
		    <div class="col-md-8">
			  <div class="no-padding no-margin date-pane hidden-sm">
					<div class="box no-margin disable pull-left">
						<div class="lstDate">
							<div class="pDate"><a href=""><span>Time</span></a></div>
							<div class="pDate"><a href=""><span>Task</span></a></div>
							<div class="pDate"><a href=""><span>Invoice</span></a></div>
							<div class="pDate"><a href=""><span>Budget</span></a></div>
							<div class="pDate"><a href=""><span>Expense</span></a></div>
						</div>
					</div>
				</div>
				<div>
				   <span class="pull-left"><h3>Time Report</h3></span>
				   <span class="pull-left">
				       <div class="chzn-container chzn-container-single">
					       <a class="chzn-single" href=""><span>This Week:</span><div><b></b></div></a>
					   </div>
				   </span>
				   <span>
				      <div class="pull-left"><h5>10-16 Jun, 2013</h5></div>
					  <div class="pull-left" style=" padding-top:15px;">
						<button type="button" class="btn icon-chevron-up split up" data-bind="click:dtup, enable:isUp"></button>
						<button type="button" class="btn icon-chevron-down split" data-bind="click:dtdown, enable:isDown"></button>
					  </div>
				   </span>
				</div>
			</div>
			<div class="clearfix"></div>
			<div class="col-md-8">
			  <div>
			     <div class="chart1"><img src="<?php echo base_url() . 'assets/img/chart1.jpg'; ?>" /><br /><h5 style="text-align:center;">Hours</h5></div>
				 <div class="charttxt">
				   <span><h4>40</h4>Billable</span>
				   <span><h5>13</h5>Non-Billable</span>
				 </div>
			  </div>
			  <div class="col-md-1"></div>
			  <div>
			     <div class="chart2"><img src="<?php echo base_url() . 'assets/img/chart2.jpg'; ?>" /></div>
				 <div style="float: left; margin-top:10px;">
				   <div style="margin-top:20px;">Invoiced</div>
				   <div style="margin-top:20px;">Un-Invoiced</div>
				 </div>
			  </div>
			  <div class="col-md-1"></div>
			  <div>
				 <div style="float: left; text-align:center;">
				   <div style="margin-top:20px;"><h1>450<span>$</span></h1></div>
				   <div>Billable Amount</div>
				 </div>
			  </div>
			</div>
			<div class="clearfix"></div>
			<div class="col-md-8">
			    <span class="pull-left">
					<label class="radio">
					<input type="radio" name="optionsRadios" id="optionsRadios2" value="option2" checked>
					Details &nbsp;
					</label>
				</span>
				<span><img src="<?php echo base_url() . 'assets/img/days.png'; ?>" /></span>
				<span><img src="<?php echo base_url() . 'assets/img/week.png'; ?>" /></span>
				<span><img src="<?php echo base_url() . 'assets/img/month.png'; ?>" /></span>
				<span><img src="<?php echo base_url() . 'assets/img/year.png'; ?>" /></span>
			</div>
			<div class="col-md-8">
				<table cellspacing="0" cellpadding="0" border="0" class="table table-striped client-list-table">
					<thead>
						<tr>
							<th style="text-align:left;">Client</th>
							<th>Project</th>
							<th>Hours</th>
							<th>Billable Hours</th>
							<th>Billable Amount</th>
							<th>Un-invoiced Hours</th>
						</tr>
					</thead>
					<tbody>
						<tr style="font-weight: 600;">
							<td class="pull-txtleft col-md-3"><span>Jun 10,2013</span></td>
							<td class="col-md-3"></td>
							<td class="col-md-3"><span>20</span></td>
							<td class="col-md-3">15</td>
							<td class="col-md-3">$180</td>
							<td class="col-md-3">0</td>
						</tr>
						<tr>
							<td class="pull-txtleft"><span>Client 1</span></td>
							<td>Project 1</td>
							<td><span>15</span></td>
							<td>10</td>
							<td>$120</td>
							<td>0</td>
						</tr>
						<tr>
							<td class="pull-txtleft" style="background-color:#FFFFFF;"><span>Client 2</span></td>
							<td style="background-color:#FFFFFF;">Project 2</td>
							<td style="background-color:#FFFFFF;"><span>15</span></td>
							<td style="background-color:#FFFFFF;">12</td>
							<td style="background-color:#FFFFFF;">$100</td>
							<td style="background-color:#FFFFFF;">7</td>
						</tr>
						<tr><td style="display:none;"></td></tr>
						<tr style="font-weight: 600;">
							<td class="pull-txtleft"><span>Jun 13,2013</span></td>
							<td></td>
							<td><span>3</span></td>
							<td>3</td>
							<td>$50</td>
							<td>3</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>
<?php
	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}

	$jslang	= array();
?>
<script type="text/javascript">
	$(document).ready(function(){
		Otime.comments.language	= <?php echo json_encode($jslang); ?>;
		Otime.comments.projects	= <?php echo json_encode($projects); ?>;
		Otime.leave_days			= <?php echo json_encode($leave_date); ?>;
		window.Otime.load("Comments");
	});
</script>