﻿(function(Otime){

	Otime.Score	= new function Score(){
//		"use strict";

		var _this	= this;

		_this.name	= "score";

		_this.model	= "";

		_this.language	= null;

		var isScorePopup	= false;
		var isTmplLoaded	= false;
		var getPopupModel	= function(clbk){
			if ($("#score-details").get(0))
			{
				return $("#score-details");
			}

			$.get(Otime.siteUrl + "/score/tmpl", {
			}, function(resp){
				isTmplLoaded	= true;
				$(resp).appendTo("body");
				var elem	= $("#score-details");
				elem.modal({
					keyboard: true
				});
				elem.on('hidden.bs.modal', function(e){
					isScorePopup	= false;
				});

				typeof clbk === "function" && clbk();
			});
		};

		var ScoreListModel	= function(data){
			var self	= this;

			var filterDetails	= function(){
				var user_id	= self.user_id();
				$.each(self.available_users(), function(key, user){
					user.is_visible(user_id ? key == user_id : true);
				});
			};

			self.isNoData	= Otime.o(false);
			self.users	= Otime.o({});
			self.available_users	= Otime.o({});
			self.user_id	= Otime.o(Otime.isM ? Otime.UID : 0);
			self.user_id.subscribe(function(newVal){
				filterDetails();
			});

			var newDate	= new Date();
			self.date	= Otime.o(newDate);
			self.from_date	= Otime.o(newDate.getWeekStart());
			self.to_date	= Otime.o(newDate.getWeekEnd());

//			self.nav_date	= Otime.o(new Date().format(Otime.dateFormat));
			self.date.subscribe(function(newVal){
				var dt	= new Date(newVal);
//				self.nav_date(dt.format(Otime.jdf));
				self.from_date(dt.getWeekStart());
				self.to_date(dt.getWeekEnd());

				if (dt.isFuture())
				{
					self.isNoData(true);
					return false;
				}
				loadDetails();
			});

			self.next	= function(){
				self.date(new Date(self.date()).addDays(7).format(Otime.jdf));
			};

			self.prev	= function(){
				self.date(new Date(self.date()).addDays(-7).format(Otime.jdf));
			};

			self.reasons	= Otime.o({});

			self.edit	= function(item){
				item.isEdit(!item.isEdit());
			};
/*
			var saveComment	= function(item){
				$.post(Otime.siteUrl + "/score/save_comment", {
					score_id: item.score_id,
					comments: item.comments()
				}, function(resp){
					item.isEdit(false);
				});
			};
*/
			var saveScore	= function(item){
				var data	= {
					score_id: item.score_id,
					comments: item.comments()
				};
				!Otime.isM && (data.score = item.score());
				$.post(Otime.siteUrl + "/score/save_score", data, function(resp){
					item.isEdit(false);
				});
			};

			self.save	= function(item){
				saveScore(item);
			};

			self.onKeyPress	= function(item, e){
				if (e.which == 13 && !e.ctrlKey)
				{
//					saveComment(item);
					saveScore(item);
					return false;
				}

				return true;
			};

			self.onKeyPressScore	= function(item, e){
				if (e.which == 13 && !e.ctrlKey)
				{
					saveScore(item);
					return false;
				}

				return true;
			};
		};
/*
		var messages	= {
			"TEHN": "You not estimate for 7hrs before 11:30 AM",
			"WHNU": "Worked Hours not Updated till lunch",
			"TFEH": "Task Finished within Estimated hours with Actual Hours more than 8",
			"TNFE": "Task NOT Finished within Estimated hours with Actual Hours more than 8",
			"TBS": "More then 1hr worked in bugfix task",
			"TFM": "Task Finished within Milestone",
			"TNFM": "Task Not finished within Milestone"
		};
*/
		var messages	= {
			"TEHN": "You not estimate for 7hrs before 11:30 AM",
			"WHNU": "Worked hours not Updated till lunch",
			"TFEH": "Task completed within estimated hours",
			"TNFE": "Task not completed with in estimated hours",
			"TBS": "Bugfix task worked more than one hour",
			"TFM": "Task Finished within Milestone",
			"TNFM": "Task Not finished within Milestone",
			"GRP": "Grouped for this Month."
		};

		var loadDetails	= function(){
			if (!isTmplLoaded)
			{
				getPopupModel(loadDetails);
				return false;
			}

			var postData	= {};
//			postData.user_id	= _this.appModel.user_id();
			postData.from_date	= new Date(_this.appModel.from_date()).format("YYYY-MM-DD 00:00:00");
			postData.to_date	= new Date(_this.appModel.to_date()).addDays(1).format("YYYY-MM-DD 00:00:00");

			_this.appModel.available_users({});
			$.each(_this.appModel.users(), function(key, val){
				val.reason_dates	= {};
				val.total_scores	= 0;
			});

			$.post(Otime.siteUrl + "/score/details", postData, function(resp){
				if (resp[0] && resp[2] && resp[2].score && resp[2].score.otvalues)
				{
					resp	= resp[2].score;

					var usrs	= _this.appModel.users();
					var usrArr	= {};
					var reasons	= {};

					resp.otvalues.setKeys(resp.otkeys, function(item){
						var tmpUsr	= null;

						if (!usrArr[item.user_id])
						{
							if (!usrs[item.user_id])
							{
								return true;
							}
							usrArr[item.user_id]	= usrs[item.user_id];
						}
						var dt	= Otime.stoj(item.entry_date);
						var dtFormat = dt.format("YYYY/MM/DD");
						if (!usrArr[item.user_id].reason_dates[dtFormat])
						{
							usrArr[item.user_id].reason_dates[dtFormat]	= {
								date: dt,
								total_scores: 0,
								reasons: []
							};
						}

						item.description	= item.description ? JSON.parse(item.description) : {};
						item.message	= item.description ? ("#" + item.description.task_number + " - " ) : "";
						item.message	+= messages[item.acode] ? messages[item.acode] : "";

						item.comments	= Otime.o(item.comments);
						item.is_changed	= Otime.o(item.real_score == item.score ? "" : " ( " + item.real_score + " )");
						item.score	= Otime.o(item.score-0);
						item.score.subscribe(function(){
							item.is_changed(item.real_score == item.score ? "" : " ( " + item.real_score + " )");
						});
						item.isEdit	= Otime.o(false);
						usrArr[item.user_id].reason_dates[dtFormat].reasons.push(item);
						usrArr[item.user_id].reason_dates[dtFormat].total_scores	+= item.score();
						usrArr[item.user_id].total_scores += item.score();
					});

					_this.appModel.available_users(usrArr);

					var elem	= getPopupModel();
					if (!ko.dataFor(elem.get(0)))
					{
						ko.applyBindings(_this.appModel, elem.get(0));
					}
					elem.modal('show');
					isScorePopup	= true;
					_this.appModel.isNoData(false);
				}
				else
				{
					var elem	= getPopupModel();
					if (!ko.dataFor(elem.get(0)))
					{
						ko.applyBindings(_this.appModel, elem.get(0));
					}
					elem.modal('show');
					isScorePopup	= true;
					_this.appModel.isNoData(true);
				}
			});
		};

		var showDetails	= function(){
			if (isScorePopup)
			{
				isScorePopup	= false;
			}
			else
			{
				loadDetails();
			}
		};

		_this.init	= function(){
			_this.appModel	= new ScoreListModel();

			$.post(Otime.siteUrl + "/score/my_scores", {
			}, function(resp){
				if (resp[0] && resp[2])
				{
					resp	= resp[2];

					if (resp.users && resp.users.otvalues)
					{
//						var arr	= [];
						resp.users	= resp.users.otvalues.setKeys(resp.users.otkeys, function(item){
							item.user_image	= Otime.USIP + item.user_image || "no_user.jpg";
							item.label	= item.first_name + (item.last_name ? " " + item.last_name : "");
							item.total_scores	= 0;
							item.is_visible	= Otime.o(true);
							item.reason_dates	= {};
//							item.reasons	= Otime.o({});
							return item;
						}, "user_id");
						_this.appModel.users(resp.users);
					}

					if (!resp.total_score)
					{
						return false;
					}
//					var scoreDisp	= resp.score.score ? resp.score.score + '/' : '';
//					scoreDisp	+= resp.total_score.score ? resp.total_score.score : '';

					var scoreDisp	= resp.total_score.score ? resp.total_score.score : '';
					scoreDisp	+= resp.score.score ? '<small style="color:#FFF;font-size:12px;margin-left:5px;">' + resp.score.score + '</small>' : '';

					var content	= '<span class="score h3 nm cp">' + scoreDisp +  '</span>';
					$("#score").html(content);
					$("#score").click(function(){
						showDetails();
					});
				}
			});
		};
	};
}(window.Otime));
